## org.apache.poi.openxml4j.util
Class Nullable<E>

    java.lang.Object
      org.apache.poi.openxml4j.util.Nullable<E>

    public final class Nullable<E>

extends java.lang.Object

An immutable object that could be defined as null.

Version:
  0.9
Author:
  Julien Chable

Constructor Summary
`Nullable()` Constructor.
`Nullable(E value)` Constructor.

Method Summary
`E` `getValue()` Get the store value if any.
`boolean` `hasValue()` Get the status of this nullable.
`void` `nullify()` Set the stored value to null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Nullable

    public Nullable()

  Constructor.

### Nullable

    public Nullable(E value)

  Constructor.

  Parameters:
    `value` - The value to set to this nullable.

Method Detail

### getValue

    public E getValue()

  Get the store value if any.

  Returns:
    the store value

### hasValue

    public boolean hasValue()

  Get the status of this nullable.

  Returns:
    true if the nullable store a value (empty string is considered to be a value) else false.

### nullify

    public void nullify()

  Set the stored value to null.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.